create-react-app兼容ie11配置

javascript/jquery

浏览数:10

2020-5-22

AD:资源代下载服务

今天闲来无事折腾一下create-react-app,发现主流浏览器都没有问题。但是ie11却一直报错,真是倔强的很啊。
我翻了下create-react-app的文档,从中看到了正好有对ie9、ie10、ie11的兼容性问题解决的一个方案。这时需要用到react-app-polyfill这个插件。

文档地址:
https://facebook.github.io/create-react-app/docs/supported-browsers-features
create-react-app github地址:
https://github.com/facebook/create-react-app/tree/master/packages/react-app-polyfill

下载安装这个插件
npm install react-app-polyfill
然后在src下的index.js也就是js入口文件中首行写入

import “react-app-polyfill/ie11”;
import “react-app-polufill/stable”;

然后根据官网的提示,还需要在package.json文件中的browserslist中添加ie11

最后重新运行项目发现还是空白但是浏览器没有报错,把node_moudles删掉重新安装或者删除目录下面的.cache后重新npm start就可以正常打开了。

如果create-react-app是3.3.0版本的话还需要修改另外一个地方,IE11才不会报错。
issue:https://github.com/facebook/c…
./node_modules/react-dev-utils/webpackHotDevClient.js:60增加slashes: true

至此就能在IE11上面看到熟悉的标志啦。

作者:白色领结